MachineArchitecture (Gradle API 7.6.3)

Package org.gradle.nativeplatform

## Class MachineArchitecture

- java.lang.Object
- - org.gradle.nativeplatform.MachineArchitecture

- All Implemented Interfaces:
    `Named`

      public abstract class MachineArchitecture
      extends java.lang.Object
      implements Named

  Represents a target architecture of a component. Typical architectures include "x86" and "x86-64".
  Since:
    5.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Attribute<MachineArchitecture>` | `ARCHITECTURE_ATTRIBUTE` |
    `static java.lang.String` | `ARM64` | The ARM 64-bit architecture
    `static java.lang.String` | `X86` | The intel x86 32-bit architecture
    `static java.lang.String` | `X86_64` | The intel x86 64-bit architecture

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MachineArchitecture()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String` | `getName()` | The object's name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARCHITECTURE_ATTRIBUTE

          public static final Attribute<MachineArchitecture> ARCHITECTURE_ATTRIBUTE

    - #### X86

          public static final java.lang.String X86

      The intel x86 32-bit architecture
      See Also:
        Constant Field Values

    - #### X86_64

          public static final java.lang.String X86_64

      The intel x86 64-bit architecture
      See Also:
        Constant Field Values

    - #### ARM64

          @Incubating
          public static final java.lang.String ARM64

      The ARM 64-bit architecture
      Since:
        7.6
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MachineArchitecture

          public MachineArchitecture()

  - ### Method Detail

    - #### getName

          @Input
          public abstract java.lang.String getName()

      The object's name.

      Must be constant for the life of the object.

      Specified by:
        `getName` in interface `Named`
      Returns:
        The name. Never null.